import request from '@/utils/request'

// 创建VIEW
export function createWqdaView(data) {
  return request({
    url: '/system/wqda-view/create',
    method: 'post',
    data: data
  })
}

// 更新VIEW
export function updateWqdaView(data) {
  return request({
    url: '/system/wqda-view/update',
    method: 'put',
    data: data
  })
}

// 删除VIEW
export function deleteWqdaView(id) {
  return request({
    url: '/system/wqda-view/delete?id=' + id,
    method: 'delete'
  })
}

// 获得VIEW
export function getWqdaView(id) {
  return request({
    url: '/system/wqda-view/get?id=' + id,
    method: 'get'
  })
}

// 获得VIEW分页
export function getWqdaViewPage(query) {
  return request({
    url: '/system/wqda-view/page',
    method: 'get',
    params: query
  })
}

// 导出VIEW Excel
export function exportWqdaViewExcel(query) {
  return request({
    url: '/system/wqda-view/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
